> For the complete documentation index, see [llms.txt](https://docs.vesicash.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vesicash.com/api-documentation/payments/get-payments-for-business.md).

# Get payments for business

This endpoint makes an HTTP GET request to retrieve a list of payments with pagination. The request includes query parameters for the page number and limit of results per page.

#### <mark style="color:green;">GET:</mark>/v1/payment/

**Params**

| Name      | Type    | Description                                                        |
| --------- | ------- | ------------------------------------------------------------------ |
| page      | integer | The page number for paginated results                              |
| reference | string  | The payment reference that was generated when initializing payment |
| limit     | integer | The limit of payments per page                                     |
| from      | integer | The timestamp of the starting date                                 |
| to        | integer | The timestamp of the ending date                                   |

#### Headers

| Name       | Type   | Description              |
| ---------- | ------ | ------------------------ |
| public-key | string | Your Vesicash public key |

#### Response

The response will have a status code of 200 and a content type of application/json. The body of the response will contain an array of payment data, including details such as payment ID, amount, environment, type, method, status, currency, reference, narration, provider transaction ID, customer details, business ID, creation timestamp, and update timestamp. Additionally, the response will include pagination information with details about the current page, total page count, and total pages count.

```
{
    "status": "success",
    "code": 200,
    "message": "success",
    "data": [
        {
            "id": "20a72fd0-a3a3-4c5d-9fea-e3a7e02b26a5",
            "amount": 1,
            "environment": "test",
            "type": "payment",
            "method": "mobilemoney",
            "status": "pending",
            "currency": "ZMW",
            "reference": "PY_c77f7bff21514bdf9dfe9f1b2",
            "narration": "",
            "provider_transaction_id": "",
            "customer_details": "00000000-0000-0000-0000-000000000000",
            "business_id": "8f212284-3a4d-4c2d-ad27-d0e8703c89cf",
            "created_at": "2024-08-21T12:38:56.704592Z",
            "updated_at": "2024-08-21T12:38:56.704592Z"
        },
        {
            "id": "b05d7e8a-deea-44fd-bc0a-ca6e467c368b",
            "amount": 1,
            "environment": "test",
            "type": "payment",
            "method": "mobilemoney",
            "status": "pending",
            "currency": "ZMW",
            "reference": "PY_6bfb1ddf065d40ebb26e57d7b",
            "narration": "",
            "provider_transaction_id": "",
            "customer_details": "00000000-0000-0000-0000-000000000000",
            "business_id": "8f212284-3a4d-4c2d-ad27-d0e8703c89cf",
            "created_at": "2024-08-21T10:54:11.119607Z",
            "updated_at": "2024-08-21T10:54:11.119607Z"
        }
         ],
    "pagination": [
        {
            "current_page": 1,
            "page_count": 3,
            "total_pages_count": 2
        }
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vesicash.com/api-documentation/payments/get-payments-for-business.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
